[llvm] r187217 - Regenerate.

Reid Kleckner rnk at google.com
Fri Jul 26 11:35:42 PDT 2013


Hrm, it looks like a bunch of macros came back, which suggests I didn't
remove the AC checks hard enough.  I'll have to look into it.


On Fri, Jul 26, 2013 at 10:13 AM, Eric Christopher <echristo at gmail.com>wrote:

> Author: echristo
> Date: Fri Jul 26 12:13:47 2013
> New Revision: 187217
>
> URL: http://llvm.org/viewvc/llvm-project?rev=187217&view=rev
> Log:
> Regenerate.
>
> Modified:
>     llvm/trunk/configure
>     llvm/trunk/include/llvm/Config/config.h.in
>
> Modified: llvm/trunk/configure
> URL:
> http://llvm.org/viewvc/llvm-project/llvm/trunk/configure?rev=187217&r1=187216&r2=187217&view=diff
>
> ==============================================================================
> --- llvm/trunk/configure (original)
> +++ llvm/trunk/configure Fri Jul 26 12:13:47 2013
> @@ -11130,354 +11130,7 @@ done
>
>
>
> -
> -
> -
> -
> -for ac_header in assert.h ctype.h errno.h malloc.h memory.h stdlib.h \
> -                 stdio.h unistd.h
> -do
> -as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
> -if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
> -  { echo "$as_me:$LINENO: checking for $ac_header" >&5
> -echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
> -if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
> -  echo $ECHO_N "(cached) $ECHO_C" >&6
> -fi
> -ac_res=`eval echo '${'$as_ac_Header'}'`
> -              { echo "$as_me:$LINENO: result: $ac_res" >&5
> -echo "${ECHO_T}$ac_res" >&6; }
> -else
> -  # Is the header compilable?
> -{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
> -echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
> -cat >conftest.$ac_ext <<_ACEOF
> -/* confdefs.h.  */
> -_ACEOF
> -cat confdefs.h >>conftest.$ac_ext
> -cat >>conftest.$ac_ext <<_ACEOF
> -/* end confdefs.h.  */
> -$ac_includes_default
> -#include <$ac_header>
> -_ACEOF
> -rm -f conftest.$ac_objext
> -if { (ac_try="$ac_compile"
> -case "(($ac_try" in
> -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
> -  *) ac_try_echo=$ac_try;;
> -esac
> -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
> -  (eval "$ac_compile") 2>conftest.er1
> -  ac_status=$?
> -  grep -v '^ *+' conftest.er1 >conftest.err
> -  rm -f conftest.er1
> -  cat conftest.err >&5
> -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
> -  (exit $ac_status); } &&
> -        { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
> -  { (case "(($ac_try" in
> -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
> -  *) ac_try_echo=$ac_try;;
> -esac
> -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
> -  (eval "$ac_try") 2>&5
> -  ac_status=$?
> -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
> -  (exit $ac_status); }; } &&
> -        { ac_try='test -s conftest.$ac_objext'
> -  { (case "(($ac_try" in
> -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
> -  *) ac_try_echo=$ac_try;;
> -esac
> -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
> -  (eval "$ac_try") 2>&5
> -  ac_status=$?
> -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
> -  (exit $ac_status); }; }; then
> -  ac_header_compiler=yes
> -else
> -  echo "$as_me: failed program was:" >&5
> -sed 's/^/| /' conftest.$ac_ext >&5
> -
> -       ac_header_compiler=no
> -fi
> -
> -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
> -{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
> -echo "${ECHO_T}$ac_header_compiler" >&6; }
> -
> -# Is the header present?
> -{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
> -echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
> -cat >conftest.$ac_ext <<_ACEOF
> -/* confdefs.h.  */
> -_ACEOF
> -cat confdefs.h >>conftest.$ac_ext
> -cat >>conftest.$ac_ext <<_ACEOF
> -/* end confdefs.h.  */
> -#include <$ac_header>
> -_ACEOF
> -if { (ac_try="$ac_cpp conftest.$ac_ext"
> -case "(($ac_try" in
> -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
> -  *) ac_try_echo=$ac_try;;
> -esac
> -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
> -  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
> -  ac_status=$?
> -  grep -v '^ *+' conftest.er1 >conftest.err
> -  rm -f conftest.er1
> -  cat conftest.err >&5
> -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
> -  (exit $ac_status); } >/dev/null; then
> -  if test -s conftest.err; then
> -    ac_cpp_err=$ac_c_preproc_warn_flag
> -    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
> -  else
> -    ac_cpp_err=
> -  fi
> -else
> -  ac_cpp_err=yes
> -fi
> -if test -z "$ac_cpp_err"; then
> -  ac_header_preproc=yes
> -else
> -  echo "$as_me: failed program was:" >&5
> -sed 's/^/| /' conftest.$ac_ext >&5
> -
> -  ac_header_preproc=no
> -fi
> -
> -rm -f conftest.err conftest.$ac_ext
> -{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
> -echo "${ECHO_T}$ac_header_preproc" >&6; }
> -
> -# So?  What about this header?
> -case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
> -  yes:no: )
> -    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the
> compiler, rejected by the preprocessor!" >&5
> -echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by
> the preprocessor!" >&2;}
> -    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the
> compiler's result" >&5
> -echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result"
> >&2;}
> -    ac_header_preproc=yes
> -    ;;
> -  no:yes:* )
> -    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be
> compiled" >&5
> -echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
> -    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing
> prerequisite headers?" >&5
> -echo "$as_me: WARNING: $ac_header:     check for missing prerequisite
> headers?" >&2;}
> -    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf
> documentation" >&5
> -echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
> -    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present
> But Cannot Be Compiled\"" >&5
> -echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be
> Compiled\"" >&2;}
> -    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the
> preprocessor's result" >&5
> -echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's
> result" >&2;}
> -    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the
> compiler will take precedence" >&5
> -echo "$as_me: WARNING: $ac_header: in the future, the compiler will take
> precedence" >&2;}
> -    ( cat <<\_ASBOX
> -## ------------------------------------ ##
> -## Report this to http://llvm.org/bugs/ ##
> -## ------------------------------------ ##
> -_ASBOX
> -     ) | sed "s/^/$as_me: WARNING:     /" >&2
> -    ;;
> -esac
> -{ echo "$as_me:$LINENO: checking for $ac_header" >&5
> -echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
> -if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
> -  echo $ECHO_N "(cached) $ECHO_C" >&6
> -else
> -  eval "$as_ac_Header=\$ac_header_preproc"
> -fi
> -ac_res=`eval echo '${'$as_ac_Header'}'`
> -              { echo "$as_me:$LINENO: result: $ac_res" >&5
> -echo "${ECHO_T}$ac_res" >&6; }
> -
> -fi
> -if test `eval echo '${'$as_ac_Header'}'` = yes; then
> -  cat >>confdefs.h <<_ACEOF
> -#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
> -_ACEOF
> -
> -fi
> -
> -done
> -
> -
> -
> -
> -
> -for ac_header in dl.h sys/dl.h dld.h mach-o/dyld.h
> -do
> -as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
> -if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
> -  { echo "$as_me:$LINENO: checking for $ac_header" >&5
> -echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
> -if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
> -  echo $ECHO_N "(cached) $ECHO_C" >&6
> -fi
> -ac_res=`eval echo '${'$as_ac_Header'}'`
> -              { echo "$as_me:$LINENO: result: $ac_res" >&5
> -echo "${ECHO_T}$ac_res" >&6; }
> -else
> -  # Is the header compilable?
> -{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
> -echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
> -cat >conftest.$ac_ext <<_ACEOF
> -/* confdefs.h.  */
> -_ACEOF
> -cat confdefs.h >>conftest.$ac_ext
> -cat >>conftest.$ac_ext <<_ACEOF
> -/* end confdefs.h.  */
> -$ac_includes_default
> -#include <$ac_header>
> -_ACEOF
> -rm -f conftest.$ac_objext
> -if { (ac_try="$ac_compile"
> -case "(($ac_try" in
> -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
> -  *) ac_try_echo=$ac_try;;
> -esac
> -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
> -  (eval "$ac_compile") 2>conftest.er1
> -  ac_status=$?
> -  grep -v '^ *+' conftest.er1 >conftest.err
> -  rm -f conftest.er1
> -  cat conftest.err >&5
> -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
> -  (exit $ac_status); } &&
> -        { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
> -  { (case "(($ac_try" in
> -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
> -  *) ac_try_echo=$ac_try;;
> -esac
> -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
> -  (eval "$ac_try") 2>&5
> -  ac_status=$?
> -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
> -  (exit $ac_status); }; } &&
> -        { ac_try='test -s conftest.$ac_objext'
> -  { (case "(($ac_try" in
> -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
> -  *) ac_try_echo=$ac_try;;
> -esac
> -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
> -  (eval "$ac_try") 2>&5
> -  ac_status=$?
> -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
> -  (exit $ac_status); }; }; then
> -  ac_header_compiler=yes
> -else
> -  echo "$as_me: failed program was:" >&5
> -sed 's/^/| /' conftest.$ac_ext >&5
> -
> -       ac_header_compiler=no
> -fi
> -
> -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
> -{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
> -echo "${ECHO_T}$ac_header_compiler" >&6; }
> -
> -# Is the header present?
> -{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
> -echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
> -cat >conftest.$ac_ext <<_ACEOF
> -/* confdefs.h.  */
> -_ACEOF
> -cat confdefs.h >>conftest.$ac_ext
> -cat >>conftest.$ac_ext <<_ACEOF
> -/* end confdefs.h.  */
> -#include <$ac_header>
> -_ACEOF
> -if { (ac_try="$ac_cpp conftest.$ac_ext"
> -case "(($ac_try" in
> -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
> -  *) ac_try_echo=$ac_try;;
> -esac
> -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
> -  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
> -  ac_status=$?
> -  grep -v '^ *+' conftest.er1 >conftest.err
> -  rm -f conftest.er1
> -  cat conftest.err >&5
> -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
> -  (exit $ac_status); } >/dev/null; then
> -  if test -s conftest.err; then
> -    ac_cpp_err=$ac_c_preproc_warn_flag
> -    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
> -  else
> -    ac_cpp_err=
> -  fi
> -else
> -  ac_cpp_err=yes
> -fi
> -if test -z "$ac_cpp_err"; then
> -  ac_header_preproc=yes
> -else
> -  echo "$as_me: failed program was:" >&5
> -sed 's/^/| /' conftest.$ac_ext >&5
> -
> -  ac_header_preproc=no
> -fi
> -
> -rm -f conftest.err conftest.$ac_ext
> -{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
> -echo "${ECHO_T}$ac_header_preproc" >&6; }
> -
> -# So?  What about this header?
> -case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
> -  yes:no: )
> -    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the
> compiler, rejected by the preprocessor!" >&5
> -echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by
> the preprocessor!" >&2;}
> -    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the
> compiler's result" >&5
> -echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result"
> >&2;}
> -    ac_header_preproc=yes
> -    ;;
> -  no:yes:* )
> -    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be
> compiled" >&5
> -echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
> -    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing
> prerequisite headers?" >&5
> -echo "$as_me: WARNING: $ac_header:     check for missing prerequisite
> headers?" >&2;}
> -    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf
> documentation" >&5
> -echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
> -    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present
> But Cannot Be Compiled\"" >&5
> -echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be
> Compiled\"" >&2;}
> -    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the
> preprocessor's result" >&5
> -echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's
> result" >&2;}
> -    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the
> compiler will take precedence" >&5
> -echo "$as_me: WARNING: $ac_header: in the future, the compiler will take
> precedence" >&2;}
> -    ( cat <<\_ASBOX
> -## ------------------------------------ ##
> -## Report this to http://llvm.org/bugs/ ##
> -## ------------------------------------ ##
> -_ASBOX
> -     ) | sed "s/^/$as_me: WARNING:     /" >&2
> -    ;;
> -esac
> -{ echo "$as_me:$LINENO: checking for $ac_header" >&5
> -echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
> -if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
> -  echo $ECHO_N "(cached) $ECHO_C" >&6
> -else
> -  eval "$as_ac_Header=\$ac_header_preproc"
> -fi
> -ac_res=`eval echo '${'$as_ac_Header'}'`
> -              { echo "$as_me:$LINENO: result: $ac_res" >&5
> -echo "${ECHO_T}$ac_res" >&6; }
> -
> -fi
> -if test `eval echo '${'$as_ac_Header'}'` = yes; then
> -  cat >>confdefs.h <<_ACEOF
> -#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
> -_ACEOF
> -
> -fi
> -
> -done
> -
> -
> -
> -for ac_header in string.h strings.h
> +for ac_header in errno.h malloc.h memory.h unistd.h
>  do
>  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
>  if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
> @@ -11627,310 +11280,58 @@ esac
>  { echo "$as_me:$LINENO: checking for $ac_header" >&5
>  echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
>  if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
> -  echo $ECHO_N "(cached) $ECHO_C" >&6
> -else
> -  eval "$as_ac_Header=\$ac_header_preproc"
> -fi
> -ac_res=`eval echo '${'$as_ac_Header'}'`
> -              { echo "$as_me:$LINENO: result: $ac_res" >&5
> -echo "${ECHO_T}$ac_res" >&6; }
> -
> -fi
> -if test `eval echo '${'$as_ac_Header'}'` = yes; then
> -  cat >>confdefs.h <<_ACEOF
> -#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
> -_ACEOF
> - break
> -fi
> -
> -done
> -
> -
> -
> -
> -for ac_func in strchr index
> -do
> -as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
> -{ echo "$as_me:$LINENO: checking for $ac_func" >&5
> -echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
> -if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
> -  echo $ECHO_N "(cached) $ECHO_C" >&6
> -else
> -  cat >conftest.$ac_ext <<_ACEOF
> -/* confdefs.h.  */
> -_ACEOF
> -cat confdefs.h >>conftest.$ac_ext
> -cat >>conftest.$ac_ext <<_ACEOF
> -/* end confdefs.h.  */
> -/* Define $ac_func to an innocuous variant, in case <limits.h> declares
> $ac_func.
> -   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
> -#define $ac_func innocuous_$ac_func
> -
> -/* System header to define __stub macros and hopefully few prototypes,
> -    which can conflict with char $ac_func (); below.
> -    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
> -    <limits.h> exists even on freestanding compilers.  */
> -
> -#ifdef __STDC__
> -# include <limits.h>
> -#else
> -# include <assert.h>
> -#endif
> -
> -#undef $ac_func
> -
> -/* Override any GCC internal prototype to avoid an error.
> -   Use char because int might match the return type of a GCC
> -   builtin and then its argument prototype would still apply.  */
> -#ifdef __cplusplus
> -extern "C"
> -#endif
> -char $ac_func ();
> -/* The GNU C library defines this for functions which it implements
> -    to always fail with ENOSYS.  Some functions are actually named
> -    something starting with __ and the normal name is an alias.  */
> -#if defined __stub_$ac_func || defined __stub___$ac_func
> -choke me
> -#endif
> -
> -int
> -main ()
> -{
> -return $ac_func ();
> -  ;
> -  return 0;
> -}
> -_ACEOF
> -rm -f conftest.$ac_objext conftest$ac_exeext
> -if { (ac_try="$ac_link"
> -case "(($ac_try" in
> -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
> -  *) ac_try_echo=$ac_try;;
> -esac
> -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
> -  (eval "$ac_link") 2>conftest.er1
> -  ac_status=$?
> -  grep -v '^ *+' conftest.er1 >conftest.err
> -  rm -f conftest.er1
> -  cat conftest.err >&5
> -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
> -  (exit $ac_status); } &&
> -        { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
> -  { (case "(($ac_try" in
> -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
> -  *) ac_try_echo=$ac_try;;
> -esac
> -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
> -  (eval "$ac_try") 2>&5
> -  ac_status=$?
> -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
> -  (exit $ac_status); }; } &&
> -        { ac_try='test -s conftest$ac_exeext'
> -  { (case "(($ac_try" in
> -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
> -  *) ac_try_echo=$ac_try;;
> -esac
> -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
> -  (eval "$ac_try") 2>&5
> -  ac_status=$?
> -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
> -  (exit $ac_status); }; }; then
> -  eval "$as_ac_var=yes"
> -else
> -  echo "$as_me: failed program was:" >&5
> -sed 's/^/| /' conftest.$ac_ext >&5
> -
> -       eval "$as_ac_var=no"
> -fi
> -
> -rm -f core conftest.err conftest.$ac_objext \
> -      conftest$ac_exeext conftest.$ac_ext
> -fi
> -ac_res=`eval echo '${'$as_ac_var'}'`
> -              { echo "$as_me:$LINENO: result: $ac_res" >&5
> -echo "${ECHO_T}$ac_res" >&6; }
> -if test `eval echo '${'$as_ac_var'}'` = yes; then
> -  cat >>confdefs.h <<_ACEOF
> -#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
> -_ACEOF
> - break
> -fi
> -done
> -
> -
> -
> -for ac_func in strrchr rindex
> -do
> -as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
> -{ echo "$as_me:$LINENO: checking for $ac_func" >&5
> -echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
> -if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
> -  echo $ECHO_N "(cached) $ECHO_C" >&6
> -else
> -  cat >conftest.$ac_ext <<_ACEOF
> -/* confdefs.h.  */
> -_ACEOF
> -cat confdefs.h >>conftest.$ac_ext
> -cat >>conftest.$ac_ext <<_ACEOF
> -/* end confdefs.h.  */
> -/* Define $ac_func to an innocuous variant, in case <limits.h> declares
> $ac_func.
> -   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
> -#define $ac_func innocuous_$ac_func
> -
> -/* System header to define __stub macros and hopefully few prototypes,
> -    which can conflict with char $ac_func (); below.
> -    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
> -    <limits.h> exists even on freestanding compilers.  */
> -
> -#ifdef __STDC__
> -# include <limits.h>
> -#else
> -# include <assert.h>
> -#endif
> -
> -#undef $ac_func
> -
> -/* Override any GCC internal prototype to avoid an error.
> -   Use char because int might match the return type of a GCC
> -   builtin and then its argument prototype would still apply.  */
> -#ifdef __cplusplus
> -extern "C"
> -#endif
> -char $ac_func ();
> -/* The GNU C library defines this for functions which it implements
> -    to always fail with ENOSYS.  Some functions are actually named
> -    something starting with __ and the normal name is an alias.  */
> -#if defined __stub_$ac_func || defined __stub___$ac_func
> -choke me
> -#endif
> -
> -int
> -main ()
> -{
> -return $ac_func ();
> -  ;
> -  return 0;
> -}
> -_ACEOF
> -rm -f conftest.$ac_objext conftest$ac_exeext
> -if { (ac_try="$ac_link"
> -case "(($ac_try" in
> -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
> -  *) ac_try_echo=$ac_try;;
> -esac
> -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
> -  (eval "$ac_link") 2>conftest.er1
> -  ac_status=$?
> -  grep -v '^ *+' conftest.er1 >conftest.err
> -  rm -f conftest.er1
> -  cat conftest.err >&5
> -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
> -  (exit $ac_status); } &&
> -        { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
> -  { (case "(($ac_try" in
> -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
> -  *) ac_try_echo=$ac_try;;
> -esac
> -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
> -  (eval "$ac_try") 2>&5
> -  ac_status=$?
> -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
> -  (exit $ac_status); }; } &&
> -        { ac_try='test -s conftest$ac_exeext'
> -  { (case "(($ac_try" in
> -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
> -  *) ac_try_echo=$ac_try;;
> -esac
> -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
> -  (eval "$ac_try") 2>&5
> -  ac_status=$?
> -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
> -  (exit $ac_status); }; }; then
> -  eval "$as_ac_var=yes"
> +  echo $ECHO_N "(cached) $ECHO_C" >&6
>  else
> -  echo "$as_me: failed program was:" >&5
> -sed 's/^/| /' conftest.$ac_ext >&5
> -
> -       eval "$as_ac_var=no"
> -fi
> -
> -rm -f core conftest.err conftest.$ac_objext \
> -      conftest$ac_exeext conftest.$ac_ext
> +  eval "$as_ac_Header=\$ac_header_preproc"
>  fi
> -ac_res=`eval echo '${'$as_ac_var'}'`
> +ac_res=`eval echo '${'$as_ac_Header'}'`
>                { echo "$as_me:$LINENO: result: $ac_res" >&5
>  echo "${ECHO_T}$ac_res" >&6; }
> -if test `eval echo '${'$as_ac_var'}'` = yes; then
> +
> +fi
> +if test `eval echo '${'$as_ac_Header'}'` = yes; then
>    cat >>confdefs.h <<_ACEOF
> -#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
> +#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
>  _ACEOF
> - break
> +
>  fi
> -done
>
> +done
>
>
> -for ac_func in memcpy bcopy
> +for ac_header in mach-o/dyld.h
>  do
> -as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
> -{ echo "$as_me:$LINENO: checking for $ac_func" >&5
> -echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
> -if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
> +as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
> +if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
> +  { echo "$as_me:$LINENO: checking for $ac_header" >&5
> +echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
> +if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
>    echo $ECHO_N "(cached) $ECHO_C" >&6
> +fi
> +ac_res=`eval echo '${'$as_ac_Header'}'`
> +              { echo "$as_me:$LINENO: result: $ac_res" >&5
> +echo "${ECHO_T}$ac_res" >&6; }
>  else
> -  cat >conftest.$ac_ext <<_ACEOF
> +  # Is the header compilable?
> +{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
> +echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
> +cat >conftest.$ac_ext <<_ACEOF
>  /* confdefs.h.  */
>  _ACEOF
>  cat confdefs.h >>conftest.$ac_ext
>  cat >>conftest.$ac_ext <<_ACEOF
>  /* end confdefs.h.  */
> -/* Define $ac_func to an innocuous variant, in case <limits.h> declares
> $ac_func.
> -   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
> -#define $ac_func innocuous_$ac_func
> -
> -/* System header to define __stub macros and hopefully few prototypes,
> -    which can conflict with char $ac_func (); below.
> -    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
> -    <limits.h> exists even on freestanding compilers.  */
> -
> -#ifdef __STDC__
> -# include <limits.h>
> -#else
> -# include <assert.h>
> -#endif
> -
> -#undef $ac_func
> -
> -/* Override any GCC internal prototype to avoid an error.
> -   Use char because int might match the return type of a GCC
> -   builtin and then its argument prototype would still apply.  */
> -#ifdef __cplusplus
> -extern "C"
> -#endif
> -char $ac_func ();
> -/* The GNU C library defines this for functions which it implements
> -    to always fail with ENOSYS.  Some functions are actually named
> -    something starting with __ and the normal name is an alias.  */
> -#if defined __stub_$ac_func || defined __stub___$ac_func
> -choke me
> -#endif
> -
> -int
> -main ()
> -{
> -return $ac_func ();
> -  ;
> -  return 0;
> -}
> +$ac_includes_default
> +#include <$ac_header>
>  _ACEOF
> -rm -f conftest.$ac_objext conftest$ac_exeext
> -if { (ac_try="$ac_link"
> +rm -f conftest.$ac_objext
> +if { (ac_try="$ac_compile"
>  case "(($ac_try" in
>    *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
>    *) ac_try_echo=$ac_try;;
>  esac
>  eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
> -  (eval "$ac_link") 2>conftest.er1
> +  (eval "$ac_compile") 2>conftest.er1
>    ac_status=$?
>    grep -v '^ *+' conftest.er1 >conftest.err
>    rm -f conftest.er1
> @@ -11947,7 +11348,7 @@ eval "echo \"\$as_me:$LINENO: $ac_try_ec
>    ac_status=$?
>    echo "$as_me:$LINENO: \$? = $ac_status" >&5
>    (exit $ac_status); }; } &&
> -        { ac_try='test -s conftest$ac_exeext'
> +        { ac_try='test -s conftest.$ac_objext'
>    { (case "(($ac_try" in
>    *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
>    *) ac_try_echo=$ac_try;;
> @@ -11957,142 +11358,119 @@ eval "echo \"\$as_me:$LINENO: $ac_try_ec
>    ac_status=$?
>    echo "$as_me:$LINENO: \$? = $ac_status" >&5
>    (exit $ac_status); }; }; then
> -  eval "$as_ac_var=yes"
> +  ac_header_compiler=yes
>  else
>    echo "$as_me: failed program was:" >&5
>  sed 's/^/| /' conftest.$ac_ext >&5
>
> -       eval "$as_ac_var=no"
> -fi
> -
> -rm -f core conftest.err conftest.$ac_objext \
> -      conftest$ac_exeext conftest.$ac_ext
> -fi
> -ac_res=`eval echo '${'$as_ac_var'}'`
> -              { echo "$as_me:$LINENO: result: $ac_res" >&5
> -echo "${ECHO_T}$ac_res" >&6; }
> -if test `eval echo '${'$as_ac_var'}'` = yes; then
> -  cat >>confdefs.h <<_ACEOF
> -#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
> -_ACEOF
> - break
> +       ac_header_compiler=no
>  fi
> -done
> -
>
> +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
> +{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
> +echo "${ECHO_T}$ac_header_compiler" >&6; }
>
> -for ac_func in memmove strcmp
> -do
> -as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
> -{ echo "$as_me:$LINENO: checking for $ac_func" >&5
> -echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
> -if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
> -  echo $ECHO_N "(cached) $ECHO_C" >&6
> -else
> -  cat >conftest.$ac_ext <<_ACEOF
> +# Is the header present?
> +{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
> +echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
> +cat >conftest.$ac_ext <<_ACEOF
>  /* confdefs.h.  */
>  _ACEOF
>  cat confdefs.h >>conftest.$ac_ext
>  cat >>conftest.$ac_ext <<_ACEOF
>  /* end confdefs.h.  */
> -/* Define $ac_func to an innocuous variant, in case <limits.h> declares
> $ac_func.
> -   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
> -#define $ac_func innocuous_$ac_func
> -
> -/* System header to define __stub macros and hopefully few prototypes,
> -    which can conflict with char $ac_func (); below.
> -    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
> -    <limits.h> exists even on freestanding compilers.  */
> -
> -#ifdef __STDC__
> -# include <limits.h>
> -#else
> -# include <assert.h>
> -#endif
> -
> -#undef $ac_func
> -
> -/* Override any GCC internal prototype to avoid an error.
> -   Use char because int might match the return type of a GCC
> -   builtin and then its argument prototype would still apply.  */
> -#ifdef __cplusplus
> -extern "C"
> -#endif
> -char $ac_func ();
> -/* The GNU C library defines this for functions which it implements
> -    to always fail with ENOSYS.  Some functions are actually named
> -    something starting with __ and the normal name is an alias.  */
> -#if defined __stub_$ac_func || defined __stub___$ac_func
> -choke me
> -#endif
> -
> -int
> -main ()
> -{
> -return $ac_func ();
> -  ;
> -  return 0;
> -}
> +#include <$ac_header>
>  _ACEOF
> -rm -f conftest.$ac_objext conftest$ac_exeext
> -if { (ac_try="$ac_link"
> +if { (ac_try="$ac_cpp conftest.$ac_ext"
>  case "(($ac_try" in
>    *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
>    *) ac_try_echo=$ac_try;;
>  esac
>  eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
> -  (eval "$ac_link") 2>conftest.er1
> +  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
>    ac_status=$?
>    grep -v '^ *+' conftest.er1 >conftest.err
>    rm -f conftest.er1
>    cat conftest.err >&5
>    echo "$as_me:$LINENO: \$? = $ac_status" >&5
> -  (exit $ac_status); } &&
> -        { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
> -  { (case "(($ac_try" in
> -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
> -  *) ac_try_echo=$ac_try;;
> -esac
> -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
> -  (eval "$ac_try") 2>&5
> -  ac_status=$?
> -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
> -  (exit $ac_status); }; } &&
> -        { ac_try='test -s conftest$ac_exeext'
> -  { (case "(($ac_try" in
> -  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
> -  *) ac_try_echo=$ac_try;;
> -esac
> -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
> -  (eval "$ac_try") 2>&5
> -  ac_status=$?
> -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
> -  (exit $ac_status); }; }; then
> -  eval "$as_ac_var=yes"
> +  (exit $ac_status); } >/dev/null; then
> +  if test -s conftest.err; then
> +    ac_cpp_err=$ac_c_preproc_warn_flag
> +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
> +  else
> +    ac_cpp_err=
> +  fi
> +else
> +  ac_cpp_err=yes
> +fi
> +if test -z "$ac_cpp_err"; then
> +  ac_header_preproc=yes
>  else
>    echo "$as_me: failed program was:" >&5
>  sed 's/^/| /' conftest.$ac_ext >&5
>
> -       eval "$as_ac_var=no"
> +  ac_header_preproc=no
>  fi
>
> -rm -f core conftest.err conftest.$ac_objext \
> -      conftest$ac_exeext conftest.$ac_ext
> +rm -f conftest.err conftest.$ac_ext
> +{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
> +echo "${ECHO_T}$ac_header_preproc" >&6; }
> +
> +# So?  What about this header?
> +case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
> +  yes:no: )
> +    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the
> compiler, rejected by the preprocessor!" >&5
> +echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by
> the preprocessor!" >&2;}
> +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the
> compiler's result" >&5
> +echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result"
> >&2;}
> +    ac_header_preproc=yes
> +    ;;
> +  no:yes:* )
> +    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be
> compiled" >&5
> +echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
> +    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing
> prerequisite headers?" >&5
> +echo "$as_me: WARNING: $ac_header:     check for missing prerequisite
> headers?" >&2;}
> +    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf
> documentation" >&5
> +echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
> +    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present
> But Cannot Be Compiled\"" >&5
> +echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be
> Compiled\"" >&2;}
> +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the
> preprocessor's result" >&5
> +echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's
> result" >&2;}
> +    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the
> compiler will take precedence" >&5
> +echo "$as_me: WARNING: $ac_header: in the future, the compiler will take
> precedence" >&2;}
> +    ( cat <<\_ASBOX
> +## ------------------------------------ ##
> +## Report this to http://llvm.org/bugs/ ##
> +## ------------------------------------ ##
> +_ASBOX
> +     ) | sed "s/^/$as_me: WARNING:     /" >&2
> +    ;;
> +esac
> +{ echo "$as_me:$LINENO: checking for $ac_header" >&5
> +echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
> +if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
> +  echo $ECHO_N "(cached) $ECHO_C" >&6
> +else
> +  eval "$as_ac_Header=\$ac_header_preproc"
>  fi
> -ac_res=`eval echo '${'$as_ac_var'}'`
> +ac_res=`eval echo '${'$as_ac_Header'}'`
>                { echo "$as_me:$LINENO: result: $ac_res" >&5
>  echo "${ECHO_T}$ac_res" >&6; }
> -if test `eval echo '${'$as_ac_var'}'` = yes; then
> +
> +fi
> +if test `eval echo '${'$as_ac_Header'}'` = yes; then
>    cat >>confdefs.h <<_ACEOF
> -#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
> +#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
>  _ACEOF
>
>  fi
> +
>  done
>
>
>
>
> +
>  for ac_func in closedir opendir readdir
>  do
>  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
> @@ -15321,8 +14699,7 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
>
>
>
> -
> -for ac_header in dlfcn.h execinfo.h fcntl.h inttypes.h limits.h link.h
> +for ac_header in dlfcn.h execinfo.h fcntl.h inttypes.h link.h
>  do
>  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
>  if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
> @@ -15665,8 +15042,7 @@ fi
>  done
>
>
> -
> -for ac_header in utime.h windows.h
> +for ac_header in utime.h
>  do
>  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
>  if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
> @@ -16010,8 +15386,7 @@ done
>
>
>
> -
> -for ac_header in sys/types.h sys/ioctl.h malloc/malloc.h mach/mach.h
> +for ac_header in sys/ioctl.h malloc/malloc.h mach/mach.h
>  do
>  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
>  if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
> @@ -18613,8 +17988,7 @@ done
>
>
>
> -
> -for ac_func in mktemp posix_spawn pread realpath sbrk setrlimit strdup
> +for ac_func in mktemp posix_spawn pread realpath sbrk setrlimit
>  do
>  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
>  { echo "$as_me:$LINENO: checking for $ac_func" >&5
>
> Modified: llvm/trunk/include/llvm/Config/config.h.in
> URL:
> http://llvm.org/viewvc/llvm-project/llvm/trunk/include/llvm/Config/config.h.in?rev=187217&r1=187216&r2=187217&view=diff
>
> ==============================================================================
> --- llvm/trunk/include/llvm/Config/config.h.in (original)
> +++ llvm/trunk/include/llvm/Config/config.h.in Fri Jul 26 12:13:47 2013
> @@ -33,6 +33,24 @@
>  /* Define to 1 if you have the `arc4random' function. */
>  #undef HAVE_ARC4RANDOM
>
> +/* Define to 1 if you have the `argz_append' function. */
> +#undef HAVE_ARGZ_APPEND
> +
> +/* Define to 1 if you have the `argz_create_sep' function. */
> +#undef HAVE_ARGZ_CREATE_SEP
> +
> +/* Define to 1 if you have the <argz.h> header file. */
> +#undef HAVE_ARGZ_H
> +
> +/* Define to 1 if you have the `argz_insert' function. */
> +#undef HAVE_ARGZ_INSERT
> +
> +/* Define to 1 if you have the `argz_next' function. */
> +#undef HAVE_ARGZ_NEXT
> +
> +/* Define to 1 if you have the `argz_stringify' function. */
> +#undef HAVE_ARGZ_STRINGIFY
> +
>  /* Define to 1 if you have the `backtrace' function. */
>  #undef HAVE_BACKTRACE
>
> @@ -160,9 +178,6 @@
>  /* Define if the gv program is available */
>  #undef HAVE_GV
>
> -/* Define to 1 if you have the `index' function. */
> -#undef HAVE_INDEX
> -
>  /* Define to 1 if the system has the type `int64_t'. */
>  #undef HAVE_INT64_T
>
> @@ -208,6 +223,9 @@
>  /* Define if you can use -Wl,-export-dynamic. */
>  #undef HAVE_LINK_EXPORT_DYNAMIC
>
> +/* Define to 1 if you have the <link.h> header file. */
> +#undef HAVE_LINK_H
> +
>  /* Define if you can use -Wl,-R. to pass -R. to the linker, in order to
> add
>     the current directory to the dynamic linker search path. */
>  #undef HAVE_LINK_R
> @@ -242,6 +260,9 @@
>  /* Define to 1 if you have the `malloc_zone_statistics' function. */
>  #undef HAVE_MALLOC_ZONE_STATISTICS
>
> +/* Define to 1 if you have the <memory.h> header file. */
> +#undef HAVE_MEMORY_H
> +
>  /* Define to 1 if you have the `mkdtemp' function. */
>  #undef HAVE_MKDTEMP
>
> @@ -309,9 +330,6 @@
>  /* Define to 1 if you have the `realpath' function. */
>  #undef HAVE_REALPATH
>
> -/* Define to 1 if you have the `rindex' function. */
> -#undef HAVE_RINDEX
> -
>  /* Define to 1 if you have the `rintf' function. */
>  #undef HAVE_RINTF
>
> @@ -330,6 +348,9 @@
>  /* Define to 1 if you have the `setjmp' function. */
>  #undef HAVE_SETJMP
>
> +/* Define to 1 if you have the <setjmp.h> header file. */
> +#undef HAVE_SETJMP_H
> +
>  /* Define to 1 if you have the `setrlimit' function. */
>  #undef HAVE_SETRLIMIT
>
> @@ -348,6 +369,9 @@
>  /* Define to 1 if you have the <stdint.h> header file. */
>  #undef HAVE_STDINT_H
>
> +/* Define to 1 if you have the <stdlib.h> header file. */
> +#undef HAVE_STDLIB_H
> +
>  /* Set to 1 if the std::isinf function is found in <cmath> */
>  #undef HAVE_STD_ISINF_IN_CMATH
>
> @@ -360,6 +384,12 @@
>  /* Define to 1 if you have the `strerror_r' function. */
>  #undef HAVE_STRERROR_R
>
> +/* Define to 1 if you have the <strings.h> header file. */
> +#undef HAVE_STRINGS_H
> +
> +/* Define to 1 if you have the <string.h> header file. */
> +#undef HAVE_STRING_H
> +
>  /* Define to 1 if you have the `strtof' function. */
>  #undef HAVE_STRTOF
>
> @@ -398,6 +428,9 @@
>  /* Define to 1 if you have the <sys/time.h> header file. */
>  #undef HAVE_SYS_TIME_H
>
> +/* Define to 1 if you have the <sys/types.h> header file. */
> +#undef HAVE_SYS_TYPES_H
> +
>  /* Define to 1 if you have the <sys/uio.h> header file. */
>  #undef HAVE_SYS_UIO_H
>
>
>
> _______________________________________________
> llvm-commits mailing list
> llvm-commits at cs.uiuc.edu
> http://lists.cs.uiuc.edu/mailman/listinfo/llvm-commits
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.llvm.org/pipermail/llvm-commits/attachments/20130726/c3ea6bf1/attachment.html>


More information about the llvm-commits mailing list